[Overview][Constants][Types][Classes][Index] | Reference for unit 'fpjson' (#fcl)

# TJSONData.AsFloat

Access the raw JSON value as a float

## Declaration

Source position: fpjson.pp line 106

`public property TJSONData.AsFloat : TJSONFloat read GetAsFloat write SetAsFloat;`

## Description

AsFloat allows access to the raw value as a floating-point value. When reading, it converts the native value of the data to a floating-point. When writing, it attempts to transform the floating-point value to a native value. If this conversion fails, an EConvertError exception is raised.

For TJSONFloatNumber this will return the native value.

For complex values, reading or writing this property will always result in an EConvertError exception.

## See also

AsInteger
Value
AsInt64
AsString
AsBoolean
IsNull
AsJSON

Documentation generated on: Feb 26 2014